Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit.xml
Class AbstractJaxbHistoryObject<T>

    java.lang.Object
      org.jbpm.process.audit.xml.AbstractJaxbHistoryObject<T>

Direct Known Subclasses:
  JaxbNodeInstanceLog, JaxbProcessInstanceLog, JaxbVariableInstanceLog

    public abstract class AbstractJaxbHistoryObject<T>

extends Object

Field Summary
`protected Class<?>` | `realClass`

Constructor Summary
`AbstractJaxbHistoryObject()`
`AbstractJaxbHistoryObject(Class<?> realClass)`
`AbstractJaxbHistoryObject(T taskObject, Class objectInterface)`

Method Summary
`T` | `createEntityInstance()`
`void` | `readExternal(ObjectInput arg0)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### realClass

    protected Class<?> realClass

Constructor Detail

### AbstractJaxbHistoryObject

    public AbstractJaxbHistoryObject()

### AbstractJaxbHistoryObject

    public AbstractJaxbHistoryObject(Class<?> realClass)

### AbstractJaxbHistoryObject

    public AbstractJaxbHistoryObject(T taskObject,
                                     Class objectInterface)

Method Detail

### createEntityInstance

    public T createEntityInstance()
                           throws Exception

  Throws:
    `Exception`

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.